Author: Thorsten Alteholz <debian@alteholz.de>
Description: pthread is needed for linux stuff
Index: alljoyn-services-1504/controlpanel/cpp/SConscript
===================================================================
--- alljoyn-services-1504.orig/controlpanel/cpp/SConscript	2016-06-03 10:23:14.000000000 +0200
+++ alljoyn-services-1504/controlpanel/cpp/SConscript	2016-06-03 10:23:14.000000000 +0200
@@ -20,6 +20,8 @@
         cpsenv['ajrlib'] = 'ajrouter'
     if cpsenv['OS'] == 'openwrt':
         cpsenv.AppendUnique(LIBS = [ 'stdc++', 'pthread' ])
+    if cpsenv['OS'] == 'linux':
+        cpsenv.AppendUnique(LIBS = [ 'pthread' ])
 
 cpsenv['CPS_DISTDIR'] = cpsenv['DISTDIR'] + '/controlpanel'
 
Index: alljoyn-services-1504/notification/cpp/SConscript
===================================================================
--- alljoyn-services-1504.orig/notification/cpp/SConscript	2016-06-03 10:23:14.000000000 +0200
+++ alljoyn-services-1504/notification/cpp/SConscript	2016-06-03 10:23:14.000000000 +0200
@@ -20,6 +20,8 @@
         nsenv['ajrlib'] = 'ajrouter'
     if nsenv['OS'] == 'openwrt':
         nsenv.AppendUnique(LIBS = [ 'stdc++', 'pthread' ])
+    if nsenv['OS'] == 'linux':
+        nsenv.AppendUnique(LIBS = [ 'pthread' ])
 
 nsenv['NS_DISTDIR'] = nsenv['DISTDIR'] + '/notification'
 
Index: alljoyn-services-1504/time/cpp/SConscript
===================================================================
--- alljoyn-services-1504.orig/time/cpp/SConscript	2016-06-03 10:23:14.000000000 +0200
+++ alljoyn-services-1504/time/cpp/SConscript	2016-06-03 10:23:14.000000000 +0200
@@ -19,6 +19,8 @@
         tsenv['ajrlib'] = 'ajrouter'
     if tsenv['OS'] == 'openwrt':
         tsenv.AppendUnique(LIBS = [ 'stdc++', 'pthread' ])
+    if tsenv['OS'] == 'linux':
+        tsenv.AppendUnique(LIBS = [ 'pthread' ])
 
 tsenv['TS_DISTDIR'] = tsenv['DISTDIR'] + '/time'
 
Index: alljoyn-services-1504/sample_apps/cpp/SConscript
===================================================================
--- alljoyn-services-1504.orig/sample_apps/cpp/SConscript	2015-06-05 22:59:30.000000000 +0200
+++ alljoyn-services-1504/sample_apps/cpp/SConscript	2016-06-03 10:23:57.000000000 +0200
@@ -21,6 +21,8 @@
         server_sample_env['ajrlib'] = 'ajrouter'
     if server_sample_env['OS'] == 'openwrt':
         server_sample_env.AppendUnique(LIBS = [ 'stdc++', 'pthread' ])
+    if server_sample_env['OS'] == 'linux':
+        server_sample_env.AppendUnique(LIBS = [ 'pthread' ])
 
 # Make serversample dist a sub-directory of the alljoyn dist.  This avoids any conflicts with alljoyn dist targets.
 server_sample_env['SAMPLE_APPS_DISTDIR'] = server_sample_env['DISTDIR'] + '/sample_apps'
